Mailinglist Archive: opensuse-factory (454 mails)

< Previous Next >
Re: [opensuse-factory] Nvidia driver 384.98 + latest kernel 4.14.9-1 in TW
  • From: Markus Koßmann <mkossmann_ml1@xxxxxx>
  • Date: Sun, 31 Dec 2017 13:00:31 +0100
  • Message-id: <5634717.SDJWuWqjB9@linux-z0jl>
Am Sonntag, 31. Dezember 2017, 20:10:07 schrieb Basil Chupin:
On 31/12/17 17:40, Markus Koßmann wrote:
Am Sonntag, 31. Dezember 2017, 08:14:51 schrieb Dave Plater:
The above "---" and "---" lines show patch where to find the file to
patch, it seems your working directory is /data/Nvidia-384.98 so if you
delete the "nvidia-384-orig/" and "nvidia-384/" parts from the:
"--- nvidia-384-orig/nvidia-uvm/uvm8_va_block.c" and
"+++ nvidia-384/nvidia-uvm/uvm8_va_block.c" parts in patch then it
should apply, with a bit of luck.

Another option would be to unpack the NVidia blob first with
NVIDIA-Linux-x86_64-384.98.run --extract-only
Then apply the patch and run nvidia-installer ( in the directory with the
unpacked files)

This was the first patch version I ran before posting my "I give up!"
message. Got the same error msg as I mentioned earlier.

As the patch just adds three three lines to uvm8_va_block.c you can also
"apply" the patch by editing that file manually. Just add the three lines
behind the plus signs ( without the plus signs ) to uvm8_va_block.c after the
block with the other #includes.

--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >